:: Performance Monitor Query 
::   Created by BSOD2600
::
::  -Description-
:: Simple script to query a single performance counter with out the hassle of big scripts
:: Only works on Windows platforms as it uses "typeperf"
::
:: Read more about typeperf
:: http://www.microsoft.com/resources/documentation/windows/xp/all/proddocs/en-us/nt_command_typeperf.mspx
:: http://blogs.technet.com/askperf/archive/2009/05/12/two-minute-drill-typeperf.aspx
::
::  -History-
:: 1.1: Fixed issue with ouput parsing (terpmeister)
:: 1.0: Original release.


@echo off
setlocal enabledelayedexpansion
set COMP=%1
set QUERY=%2

:: Check for missing paramaters
IF [%1]==[] (ECHO Computer name missing! && GOTO:EOF)
IF [%2]==[] (ECHO Query missing! && GOTO:EOF)

:: Remove quotes from the query
SET QUERY=###%QUERY%###
SET QUERY=%QUERY:"###=%
SET QUERY=%QUERY:###"=%
SET QUERY=%QUERY:###=%
SET count=0

:: debug testing stuff...
::echo QUERY:%QUERY%
::typeperf "%QUERY%" -sc 1 -s %COMP%

:: Skip to the 2nd line which contains the single data output. Parse off the quotes and save it
for /f "skip=1 tokens=3 delims=, " %%i in ('typeperf "%QUERY%" -sc 1 -s %COMP% ^| find ","') DO (
	set RESULT.!count!=%%~i 
	set /A count +=1)

::SUCCESS
echo.RESULT:%RESULT.0%
GOTO:EOF
